SDL_HINT_WINDOWS_RAW_KEYBOARD_INPUTSINK(3)

NAME
SDL_HINT_WINDOWS_RAW_KEYBOARD_INPUTSINK - A variable controlling whether the RIDEV_INPUTSINK flag is set when enabling Windows raw keyboard events.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_WINDOWS_RAW_KEYBOARD_INPUTSINK "SDL_WINDOWS_RAW_KEYBOARD_INPUTSINK"

DESCRIPTION
This enables the window to still receive input even if not in foreground.

Focused windows that receive text input will still prevent input events from triggering.

• "0": Input is not received when not in focus or foreground. (default)

• "1": Input will be received even when not in focus or foreground.

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.4.4.